<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="MdeLoginHisMapper" >
  <resultMap id="BaseResultMap" type="com.wechat.model.dbEntity.MdeLoginHis" >
    <id column="HIS_ID" property="hisId" jdbcType="VARCHAR" />
    <result column="USER_ID" property="userId" jdbcType="BIGINT" />
    <result column="IP" property="ip" jdbcType="VARCHAR" />
    <result column="OPERATING" property="operating" jdbcType="VARCHAR" />
    <result column="SYSTEM" property="system" jdbcType="VARCHAR" />
    <result column="BROWSER" property="browser" jdbcType="VARCHAR" />
    <result column="BROWSER_VERSION" property="browserVersion" jdbcType="VARCHAR" />
    <result column="VERSION_NO" property="versionNo" jdbcType="INTEGER" />
    <result column="REMARKS" property="remarks" jdbcType="VARCHAR" />
    <result column="DEL_FLAG" property="delFlag" jdbcType="INTEGER" />
    <result column="CREATE_BY" property="createBy" jdbcType="VARCHAR" />
    <result column="CREATE_DATE" property="createDate" jdbcType="TIMESTAMP" />
    <result column="UPDATE_BY" property="updateBy" jdbcType="VARCHAR" />
    <result column="UPDATE_DATE" property="updateDate" jdbcType="TIMESTAMP" />
  </resultMap>
  <sql id="Base_Column_List" >
    HIS_ID, USER_ID, IP, DEVICE_CLASS,OPERATING, SYSTEM, BROWSER, BROWSER_VERSION, VERSION_NO, REMARKS, 
    DEL_FLAG, CREATE_BY, CREATE_DATE, UPDATE_BY, UPDATE_DATE
  </sql>
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.String" >
    select 
    <include refid="Base_Column_List" />
    from mde_login_his
    where HIS_ID = #{hisId,jdbcType=VARCHAR}
  </select>

  <insert id="insert" parameterType="com.wechat.model.dbEntity.MdeLoginHis" >
    insert into mde_login_his (HIS_ID, USER_ID, IP, DEVICE_CLASS,
      OPERATING, SYSTEM, BROWSER, 
      BROWSER_VERSION, REMARKS, 
      CREATE_BY, CREATE_DATE, 
      UPDATE_BY, UPDATE_DATE)
    values (#{hisId,jdbcType=VARCHAR}, #{userId,jdbcType=BIGINT}, #{ip,jdbcType=VARCHAR}, 
      #{deviceClass}, #{operating,jdbcType=VARCHAR}, #{system,jdbcType=VARCHAR}, #{browser,jdbcType=VARCHAR}, 
      #{browserVersion,jdbcType=VARCHAR}, #{remarks,jdbcType=VARCHAR}, 
      #{createBy,jdbcType=VARCHAR}, #{createDate}, 
      #{updateBy,jdbcType=VARCHAR}, #{updateDate})
  </insert>
  
  
</mapper>